Bug 8607 - The configure.in in examples/VFS does not easily allow building modules outside the Samba source tree
The configure.in in examples/VFS does not easily allow building modules outsi...
Product: Samba 3.6
Classification: Unclassified
Component: VFS Modules
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2011-11-14 15:45 UTC by Richard Sharpe
Modified: 2011-11-25 19:29 UTC (History)
0 users

See Also:
idra: review+


Note You need to log in before you can comment on or make changes to this bug.
Description Richard Sharpe 2011-11-14 15:45:40 UTC
You can specify --with-samba-source but the tests use a hard coded location that expects the test to be in examples/VFS or some location two levels deep in the Samba source tree.

The following patch would seem like a better way to do this:

diff --git a/examples/VFS/configure.in b/examples/VFS/configure.in
index 4e9d465..9e30197 100644
--- a/examples/VFS/configure.in
+++ b/examples/VFS/configure.in
@@ -337,11 +337,11 @@ AC_CACHE_CHECK([whether building shared libraries actually
    # try building a trivial shared library
    if test "$PICSUFFIX" = "po"; then
-     $CC $CPPFLAGS $CFLAGS $PICFLAGS -c -o shlib.po ${srcdir-.}/../../tests/shl
+     $CC $CPPFLAGS $CFLAGS $PICFLAGS -c -o shlib.po ${SAMBA_SOURCE}/../tests/sh
        $CC $CPPFLAGS $CFLAGS `eval echo $LDSHFLAGS` -o "shlib.$SHLIBEXT" shlib.
-     $CC $CPPFLAGS $CFLAGS $PICFLAGS -c -o shlib.$PICSUFFIX ${srcdir-.}/../../t
        mv shlib.$PICSUFFIX shlib.po &&
        $CC $CPPFLAGS $CFLAGS `eval echo $LDSHFLAGS` -o "shlib.$SHLIBEXT" shlib.
@@ -350,6 +350,7 @@ AC_CACHE_CHECK([whether building shared libraries actually w
 if test $ac_cv_shlib_works = no; then
+   AC_MSG_WARN([[Did you forget to specify --with-samba-source=/path/to/samba?]
Comment 1 Richard Sharpe 2011-11-17 18:33:23 UTC
I committed this change.

I will find the change number and post it here.
Comment 2 Richard Sharpe 2011-11-18 03:12:33 UTC
This was committed in change number f50aa988c201c2fe78e467f1a419bedc741e1d31
Comment 3 Richard Sharpe 2011-11-18 14:47:46 UTC
Can this change be merged into v3-5-test and v3-6-test so that future releases that are cut will give users the ability to easily build VFS modules outside the Samba tree?
Comment 4 Richard Sharpe 2011-11-24 01:06:00 UTC
Add Simo as a reviewer
Comment 5 Richard Sharpe 2011-11-24 01:09:39 UTC
Hmmm, I don't see how to make this as requires review ...
Comment 6 Simo Sorce 2011-11-24 02:15:19 UTC
Sounds like a good idea to fix this in current stable trees too.
Comment 7 Jeremy Allison 2011-11-24 02:36:06 UTC
Re-assigning to Karolin so she can cherry-pick f50aa988c201c2fe78e467f1a419bedc741e1d31 from master to v3-6-test and v3-5-test.

Karolin, please re-assign back to Richard if this fix doesn't apply cleanly.

Comment 8 Jeremy Allison 2011-11-24 02:36:24 UTC
Re-opened until the fix is applied to the active trees.
Comment 9 Karolin Seeger 2011-11-25 19:29:54 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.